# Generated by Django 4.0.3 on 2022-04-20 17:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('Master', '0003_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='PaymentTransfer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('total_amount', models.CharField(blank=True, max_length=100, null=True)),
                ('amount_paid', models.CharField(blank=True, max_length=100, null=True)),
                ('amount_due', models.CharField(blank=True, max_length=100, null=True)),
                ('transfered_on', models.DateTimeField()),
                ('transfered_by', models.DateTimeField()),
                ('comments', models.CharField(blank=True, max_length=100, null=True)),
                ('booking', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.beauticianprofile')),
            ],
            options={
                'verbose_name': 'Payment Transfer',
                'db_table': 'PaymentTransfer',
            },
        ),
        migrations.CreateModel(
            name='Payments',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('payment_method', models.CharField(blank=True, choices=[('card', 'Card'), ('cash', 'Cash'), ('paytm', 'Paytm')], max_length=10, null=True)),
                ('amount_to_be_paid', models.CharField(blank=True, max_length=100, null=True)),
                ('amount_paid', models.CharField(blank=True, max_length=100, null=True)),
                ('payment_date', models.DateTimeField()),
                ('service_started_on', models.DateTimeField(blank=True, null=True)),
                ('transaction_number', models.CharField(blank=True, max_length=100, null=True)),
                ('booking_number', models.CharField(blank=True, max_length=100, null=True)),
                ('invoice_number', models.CharField(blank=True, max_length=100, null=True)),
                ('payment_taken_by', models.CharField(blank=True, choices=[('system', 'System'), ('beautician', 'Beautician')], max_length=10, null=True)),
                ('is_settlement', models.BooleanField(default=False)),
                ('booking', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.beauticianprofile')),
            ],
            options={
                'verbose_name': 'Payments',
                'db_table': 'Payments',
            },
        ),
        migrations.CreateModel(
            name='CollectionMaster',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.IntegerField(default=1, null=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('modified_by', models.IntegerField(blank=True, default=None, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('deleted_by', models.IntegerField(blank=True, default=None, null=True)),
                ('deleted_on', models.DateTimeField(blank=True, default=None, null=True)),
                ('total_amount', models.CharField(blank=True, max_length=100, null=True)),
                ('amount_collected', models.CharField(blank=True, max_length=100, null=True)),
                ('amount_due', models.CharField(blank=True, max_length=100, null=True)),
                ('collected_on', models.DateTimeField()),
                ('collected_by', models.DateTimeField()),
                ('comments', models.CharField(blank=True, max_length=100, null=True)),
                ('booking', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Master.beauticianprofile')),
            ],
            options={
                'verbose_name': 'Collection Master',
                'db_table': 'CollectionMaster',
            },
        ),
    ]
